import { h, defineComponent, inject } from 'vue';
import { render } from '../../../_utils';
import { internalSelectionMenuInjectionKey } from './SelectMenu';
export default defineComponent({
    name: 'NBaseSelectGroupHeader',
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        tmNode: {
            type: Object,
            required: true
        }
    },
    setup() {
        const { renderLabelRef
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
         } = inject(internalSelectionMenuInjectionKey);
        return {
            renderLabel: renderLabelRef
        };
    },
    render() {
        var _a;
        const { clsPrefix, renderLabel, tmNode: { rawNode } } = this;
        let children;
        if (renderLabel) {
            children = renderLabel(rawNode, false);
        }
        else {
            children = rawNode.render
                ? rawNode.render(rawNode)
                : render((_a = rawNode.label) !== null && _a !== void 0 ? _a : rawNode.name, rawNode);
        }
        return h("div", { class: `${clsPrefix}-base-select-group-header` }, children);
    }
});
