"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../../../_utils");
const SelectMenu_1 = require("./SelectMenu");
exports.default = vue_1.defineComponent({
    name: 'NBaseSelectGroupHeader',
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        tmNode: {
            type: Object,
            required: true
        }
    },
    setup() {
        const { renderLabelRef
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
         } = vue_1.inject(SelectMenu_1.internalSelectionMenuInjectionKey);
        return {
            renderLabel: renderLabelRef
        };
    },
    render() {
        var _a;
        const { clsPrefix, renderLabel, tmNode: { rawNode } } = this;
        let children;
        if (renderLabel) {
            children = renderLabel(rawNode, false);
        }
        else {
            children = rawNode.render
                ? rawNode.render(rawNode)
                : _utils_1.render((_a = rawNode.label) !== null && _a !== void 0 ? _a : rawNode.name, rawNode);
        }
        return vue_1.h("div", { class: `${clsPrefix}-base-select-group-header` }, children);
    }
});
